<%@page session="true" import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*, m05bBD.m05bVehiculos" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
	<%@page contentType="text/html; charset=UTF-8" %>


<HTML>
	
<!-- Calendarios -->
		<%	String m05bCalendarEstilo = m05bFicheroProperties.getInstance().getParameter("m05bEstilos.Calendario");  %>
		<%=m05bCalendarEstilo%>
		<%	String m05bCalendarScripts = m05bFicheroProperties.getInstance().getParameter("m05bScripts.Calendario");  %>
		<%=m05bCalendarScripts%>
	
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<%@ include file="/m05bIdioma.inc"%>	
<head>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<title>Varios</title>
	<%
	    String matricula=request.getParameter("Matricula");
	      if (matricula==null || matricula.equals("NULL")){
	          matricula="";
	      }
	%>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
	
	<%
			 	 m05bComun miComun = new m05bComun();%>

  <% java.sql.Connection conexion=null;
  PreparedStatement pstmt2 = null;
  ResultSet rs2 = null;
  m05bConexion miConexion = new m05bConexion();
  conexion = miConexion.getConnection();
  m05bVehiculos vehiculo=null;%>

	<script language="JavaScript">
		function fncGrabar() {
			var fechaactual="<%=miComun.getFechaActual()%>";
			var docu=document.formVarios;  
			var docuPadre=parent.document.formVehiculos; 
			var arrayVehiculo2="";
            docu.ImpTransferencia.value=docuPadre.ImpTransferenciaVehi.value;
            if ((docuPadre.CRangoBD.value!="")  && (docuPadre.CRango.value!="") && 
            	(docuPadre.CRangoBD.value!=docuPadre.CRango.value) && 
            	(docu.ImpTransferencia.value=="")){
            	docuPadre.CRango.value==docuPadre.CRangoBD.value;
                alert(dameAlerta(idioma, 91));}

           else if (docuPadre.Matricula.value == ""){
			      	  alert(dameAlerta(idioma, 2));
			      	  docuPadre.Matricula.focus();
			      	  docuPadre.Matricula.select();
			}
 	        else if (docuPadre.FMatriculacion.value == ""){
			      	  alert(dameAlerta(idioma, 93));
			      	  docuPadre.FMatriculacion.focus();
			}
 	        else if (docuPadre.Marca.value == ""){
			      	  alert(dameAlerta(idioma, 94));
			      	  docuPadre.Marca.focus();
			}
			
 	        else if (docuPadre.Modelo.value == "-1"){
			      	  alert(dameAlerta(idioma, 95));
			      	  docuPadre.Modelo.focus();
			}
 	        else if (docuPadre.Precio.value == ""){
			      	  alert(dameAlerta(idioma, 137));
			      	  docuPadre.Precio.focus();
			}
 	        else if (docuPadre.CRango.value == ""){
			      	  alert(dameAlerta(idioma, 96));
			      	  docuPadre.CRango.focus();
			}
 	        else if (docuPadre.KmActuales.value == ""){
			      	  alert(dameAlerta(idioma, 98));
			      	  docuPadre.KmActuales.focus();
			      	  docuPadre.KmActuales.select();
			}
 	        else if (docuPadre.FecKmAct.value == ""){
			      	  alert(dameAlerta(idioma, 99));
			      	  docuPadre.FecKmAct.focus();
			      	  docuPadre.FecKmAct.select();
			}
 	        else if (docuPadre.Dpto.value == ""){
			      	  alert(dameAlerta(idioma, 100));
			      	  docuPadre.Dpto.focus();
			}
 	        else if (document.formVarios.Expdte.value == ""){
			      	  alert(dameAlerta(idioma, 102));
			      	  document.formVarios.Expdte.focus();
			      	  document.formVarios.Expdte.select();
			}
 	        else if (document.formVarios.NSerie.value == ""){
			      	  alert(dameAlerta(idioma, 103));
			      	  document.formVarios.NSerie.focus();
			      	  document.formVarios.NSerie.select();
			}
 	        else if ((document.formVarios.Kilometros.value == "") && (document.formVarios.Meses.value == "")){
			      	  alert(dameAlerta(idioma, 101));
			      	  document.formVarios.NSerie.focus();
			      	  document.formVarios.NSerie.select();
			}
		    else if ((docuPadre.Situacion.value == "B") && (docuPadre.FBaja.value == "")  )  {
			      	  alert(dameAlerta(idioma, 133));
			}
		    else if ((docuPadre.Situacion.value == "B") && (docuPadre.ImpBaja.value == "")  )  {
			      	  alert(dameAlerta(idioma, 134));
			}
			else if ((docuPadre.Situacion.value != "B") && (docuPadre.FBaja.value != "")  )  {
			      	  alert(dameAlerta(idioma, 141));
			}
			else if ((docuPadre.Situacion.value != "B") && (docuPadre.ImpBaja.value != "")  )  {
			      	  alert(dameAlerta(idioma, 141));
			}
			else if ((docuPadre.FAlta.value != "") && (docuPadre.FBaja.value != "") && (!(comparaFechas(parent.document.formVehiculos.FAlta.value, parent.document.formVehiculos.FBaja.value))) )  {
			      	  alert(dameAlerta(idioma, 135));
			}
			else if (!(comparaFechas(parent.document.formVehiculos.FMatriculacion.value, fechaactual))){
		            alert(dameAlerta(idioma, 104));
                    docuPadre.FMatriculacion.focus();
			      	docuPadre.FMatriculacion.select();}
			else if (!(comparaFechas(parent.document.formVehiculos.FecKmAct.value,fechaactual))){
		            alert(dameAlerta(idioma, 105));
                    docuPadre.FecKmAct.focus();
			      	docuPadre.FecKmAct.select();}
			else {
			if 	(docuPadre.FMatriculacion.value == ""){
				 arrayVehiculo2=arrayVehiculo2+"@"+"#";
			}else{
			     arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.FMatriculacion.value;}
			if 	(docuPadre.FAlta.value == ""){
				 arrayVehiculo2=arrayVehiculo2+"@"+"#";
			}else{
			     arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.FAlta.value;}
			if 	(docuPadre.FBaja.value == ""){
				 arrayVehiculo2=arrayVehiculo2+"@"+"#";
			}else{
		    arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.FBaja.value;}
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.FecKmAct.value;
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.CRango.value;
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Situacion.value;
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.KmActuales.value;
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Modelo.value;
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Marca.value;
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Dpto.value;
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.DescDpto.value;
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.Precio.value;
			if 	(docuPadre.ImpBaja.value == ""){
				 arrayVehiculo2=arrayVehiculo2+"@"+"#";
			}else{
			arrayVehiculo2=arrayVehiculo2+"@"+docuPadre.ImpBaja.value;}
            docu.arrayVehiculos.value=arrayVehiculo2;			
	        docu.target="_top";  
			if (docuPadre.Situacion.value != "B") {
                  docu.action="m05bGrabarVehiculosServlet?Matricula=" + docuPadre.Matricula.value;}
            else {
            	  docu.ImpTransferencia.value=docuPadre.ImpBaja.value;
                  docu.action="m05bBajaVehiculosServlet?Matricula=" + docuPadre.Matricula.value;}
            
		    docu.submit();
			}
		}  // Fin fncGrabar
	</SCRIPT>
</head>
<BODY>
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
<p>
<FORM NAME="formVarios" METHOD="POST">
		<%
		StringBuffer sql = new StringBuffer();
		String mensaje="";

		String autoriza="";
		String caballos="";
		String inf1="";
		String inf2="";
		String rotulado="";
		String notas="";
		String nserie="";
		String fgarantia="";
		String color="";
		String kmrevis="";
		String mesrevis="";
		String expdte="";
		String impTransferencia="";
		//String situacion =request.getParameter("Situacion");
		//String fbaja=request.getParameter("FBaja");
		//		if (fbaja==null)
		//			fbaja="";
		String accion=request.getParameter("Accion");

		m05bComun comun = new m05bComun();
		m05bCombo miCombo = new m05bCombo();

		sql.append("SELECT ").append(m05bConstantes.COL_34_MESREVIS).append(",");
		sql.append(m05bConstantes.COL_34_KMREVIS).append(",").append(m05bConstantes.COL_34_COLOR);
		sql.append(",").append(m05bConstantes.COL_34_FGARANTIA).append(",");
		sql.append(m05bConstantes.COL_34_ROTULADO).append(",").append(m05bConstantes.COL_34_EXPDTE);
		sql.append(",").append(m05bConstantes.COL_34_INF1).append(",").append(m05bConstantes.COL_34_INF2);
		sql.append(",").append(m05bConstantes.COL_34_NSERIE).append(",").append(m05bConstantes.COL_34_NOTA);
		sql.append(",").append(m05bConstantes.COL_34_AUTORI_APAR).append(",").append(m05bConstantes.COL_34_CV);
		sql.append(" FROM ").append(m05bConstantes.TAB_VEHICULOS).append(" WHERE ").append(m05bConstantes.COL_34_MATRICULA);
		sql.append("=").append(matricula);

		try {
		           if (!(matricula.equals(""))){
                     mensaje=request.getParameter("Mensaje");
                     if (mensaje==null) 
                         mensaje="";
            	  	 if (!(mensaje.equals(""))) {
		                 vehiculo = (m05bVehiculos)session.getAttribute("m05bVehiculos");
		                 nserie = vehiculo.getVeh_nserie();
		                 autoriza = vehiculo.getVeh_aparcado();
	                     inf1 = vehiculo.getVeh_iadic1();
		                 inf2 = vehiculo.getVeh_iadic2();
		                 rotulado = vehiculo.getVeh_rotul();
		                 mesrevis = vehiculo.getVeh_mesrevis();
		                 kmrevis = vehiculo.getVeh_kmrevis();
		                 fgarantia = vehiculo.getVeh_fgarantia();
		                 color = vehiculo.getVeh_color();
		                 expdte = vehiculo.getVeh_expte();
		                 caballos = vehiculo.getVeh_cvfisc();
		                 notas = vehiculo.getVeh_observ();
		                 impTransferencia=vehiculo.getVeh_imptransf();
		                 
	               } else{ //Mensaje==null
			           //m05bbBeginSelect(sql.toString());
			           //m05bRS = m05bPStmt.executeQuery();
                       conexion = miConexion.getConnection();
                       conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
                       pstmt2 = conexion.prepareStatement(sql.toString());
		               rs2 = pstmt2.executeQuery();
			           if (rs2.next() == true){
			               notas=rs2.getString(m05bConstantes.COL_34_NOTA);
			               if (notas==null)
			                   notas="";
			               nserie=rs2.getString(m05bConstantes.COL_34_NSERIE);
			               if (nserie==null)
			                   nserie="S/N";
			               autoriza=rs2.getString(m05bConstantes.COL_34_AUTORI_APAR);
			               if (autoriza==null)
			                   autoriza="";
			               inf1=rs2.getString(m05bConstantes.COL_34_INF1);
			               inf2=rs2.getString(m05bConstantes.COL_34_INF2);
			               if (inf1==null || inf1.equals("NULL"))
			                   inf1="";
			               if (inf2==null || inf2.equals("NULL"))
			                   inf2="";
			               rotulado=rs2.getString(m05bConstantes.COL_34_ROTULADO);
			               
			               if (rotulado==null ||rotulado.equals("NULL"))
			                   rotulado="";
			               mesrevis=rs2.getString(m05bConstantes.COL_34_MESREVIS);
			               if (mesrevis==null )
			                   mesrevis="";
			               kmrevis=rs2.getString(m05bConstantes.COL_34_KMREVIS);
			               if (kmrevis==null)
			                   kmrevis="";
   		                   fgarantia=rs2.getString(m05bConstantes.COL_34_FGARANTIA);
	                       if (fgarantia==null || fgarantia.equals("NULL"))
	                          fgarantia="";
	                       else
	                          fgarantia=comun.Mes(fgarantia);

			               color=rs2.getString(m05bConstantes.COL_34_COLOR);
			               if (color==null ){
			                   color="";}			               
			               expdte=rs2.getString(m05bConstantes.COL_34_EXPDTE);
			               if (expdte==null)
			                   expdte="";
			               caballos=rs2.getString(m05bConstantes.COL_34_CV);
			               if (caballos==null)
			                   caballos="";

			           }
			         }
		    		}
		  } catch (Exception SQLException){
			  m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
		   		miLog.addTraza(SQLException);
		  } finally {
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
		    	}
		%>
			<!--        BOTONERA          -->
			
	<script>
      if ((parent.document.formVehiculos.Situacion.value!="B")) {					
		  document.write("<TABLE class='general'>");
		  document.write("<tr>");
		  document.write("<td align='right'> <INPUT TYPE='IMAGE'  style='cursor:hand'  VALUE='Grabar' ONCLICK='JavaScript:fncGrabar();return false;'  src='/parquemovil/images/grabar.gif'/> </td>");
		  document.write("</tr>");
		  document.write("</TABLE>");}
   </script>		  
          <INPUT class="inputField" TYPE="hidden" NAME="arrayVehiculos" VALUE=""/>		  		
		  <TABLE class="general">
		    <tr>
		      <td valign="top" align="left" class="inputFieldTitle">F. Garant&iacute;a</td>
		      <td valign="top" align="left" class="inputFieldTitle">Km. Rev.</td>
		      <td valign="top" align="left" class="inputFieldTitle">Meses Rev.</td>
		      <td valign="top" align="left" class="inputFieldTitle">Color</td>
		      <td valign="top" align="left" class="inputFieldTitle">Expediente</td>
		      <td valign="top" align="left" class="inputFieldTitle">N&uacute;mero Bastidor</td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FecGarantia" VALUE="<%=fgarantia%>" size="10" maxlength="10" >
		        <a href='#' name='anchorFGarantia'  onClick='JavaScript:showCalendar("anchorFGarantia","cast",document.all("FecGarantia"),true,25,10,2002);false;return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border ="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendariogarantia"/></td>
		      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Kilometros" VALUE="<%=kmrevis%>" size="8" maxlength="8"/> </td>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Meses" VALUE="<%=mesrevis%>" size="10" maxlength="8"/> </td>
			  <td align="left">
					<select class=inputField  NAME="Color" >
						  <option value=""> </option>
						  <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION, m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_COLORES, color )%>
					</select>
			  </td>
		      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="Expdte" VALUE="<%=expdte%>" size="15" maxlength="15"/></td>
		      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="NSerie" VALUE="<%=nserie%>" size="20" maxlength="20"/></td>
		    </tr>
		  </TABLE>
		  <TABLE class="general">
		    <tr>
		      <td valign="top" align="left" class="inputFieldTitle">Autorizaci&oacute;n Aparca.</td>
		      <td valign="top" align="left" class="inputFieldTitle">Caballos Fiscales</td>
		      <td valign="top" align="left" class="inputFieldTitle">Informaci&oacute;n Adicional 1</td>
		      <td valign="top" align="left" class="inputFieldTitle">Informaci&oacute;n Adicional 2</td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Autoriza" VALUE="<%=autoriza%>" size="15" maxlength="15"/></td>
		      <td align="left"> <INPUT class="inputField" TYPE="TEXT" NAME="CVFiscales" VALUE="<%=caballos%>" size="8" maxlength="8"/> </td>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Inf1" VALUE="<%=inf1%>" size="35" maxlength="100"/> </td>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Inf2" VALUE="<%=inf2%>" size="35" maxlength="100"/></td>
		    </tr>
		  </TABLE>
		  <TABLE class="general">
		       <tr>
		  	      <td  valign="top" class="inputFieldTitle">Rotulado</td>
		       </tr>
		       <tr>
		          <td align="left"> <TEXTAREA class="inputField" WRAP="virtual" name="Rotulado" cols="100"><%=rotulado%></TEXTAREA></td>
		       </tr>
		        <tr>
		  	      <td  valign="top" class="inputFieldTitle">Notas</td>
		       </tr>
		       <tr>
		          <td align="left"> <TEXTAREA class="inputField" WRAP="virtual" name="Notas" cols="100"><%=notas%></TEXTAREA></td>
		       </tr>
		  </TABLE>
		
				<script>
                      if ((parent.document.formVehiculos.Situacion.value=="B")) {					
                      document.all["FecGarantia"].disabled=true;
                      document.all["calendariogarantia"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      document.formVarios.Kilometros.disabled=true;
                      document.formVarios.Meses.disabled=true;
                      document.formVarios.Expdte.disabled=true;
                      document.formVarios.NSerie.disabled=true;
                      document.formVarios.CVFiscales.disabled=true;
                      document.formVarios.Autoriza.disabled=true;
                      document.formVarios.Inf1.disabled=true;
                      document.formVarios.Inf2.disabled=true;
                      document.formVarios.Color.disabled=true;
                      document.formVarios.Rotulado.disabled=true;
                      document.formVarios.Notas.disabled=true;}
               </script> 
            	  	 <%if (!(mensaje.equals(""))) {%>
		               <input type="hidden" name="ImpTransferencia" value="<%=impTransferencia%>">
		             <%}else{%>
		               <input type="hidden" name="ImpTransferencia" >
		             <%}%>
</FORM>
</BODY>
</HTML>